# Time Stepper (DP\_7)

A time series is a series of data points collected or recorded at regular time intervals. By transforming your data into a time series format, you can easily analyze trends and patterns over time, which can be useful for forecasting future values or making informed decisions.&#x20;

The process of transforming data into a time series is simple, you just need to specify the time column and we automatically convert the data into a time series format.

## Sample Request

This request steps the data per 60 entries and replaces existing data in the Y variable.

```javascript
{
    "project_id": 1,
    "parent_id": 6,
    "block_id": 7,
    "function_code": "DP_7",
    "args": {
        "lookback": 60,
        "lookforward": 1,
        "index": 4
    }
}
```

## Time Stepper

## Step data into time series

<mark style="color:green;">`POST`</mark> `https://autogon.ai/api/v1/engine/start`

Step data per entries or replace existing data in the Y variable.

#### Request Body

| Name                                             | Type   | Description                                                                                                                                                          |
| ------------------------------------------------ | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| project\_id<mark style="color:red;">\*</mark>    | int    | current project ID                                                                                                                                                   |
| parent\_id<mark style="color:red;">\*</mark>     | int    | parent block ID                                                                                                                                                      |
| block\_id<mark style="color:red;">\*</mark>      | int    | current block ID                                                                                                                                                     |
| function\_code<mark style="color:red;">\*</mark> | String | block's function code                                                                                                                                                |
| lookback<mark style="color:red;">\*</mark>       | int    | determines how many past time steps the model should consider when making predictions. It influences the length of the input sequence used to predict the next value |
| args                                             | object | block arguments                                                                                                                                                      |
| index<mark style="color:red;">\*</mark>          | int    | column index to apply time stepping function                                                                                                                         |
| lookforward                                      | int    | defines how many future time steps the model should predict ahead. It indicates the distance into the future the model aims to forecast. Defaults to 1               |

{% tabs %}
{% tab title="200: OK Data Encode Successful" %}

```javascript
{
    "status": "true",
    "message": {
        "id": 3,
        "project": 1,
        "block_id": 7,
        "parent_id": 6,
        "dataset_url": "",
        "x_value_url": "",
        "y_value_url": ""
    }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Python" %}

```
// Some code
```

{% endtab %}

{% tab title="Node" %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autogon.ai/autogon-engine-studio/data-processing/time-stepper-dp_7.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
